Mail archive
alpine-aports

[alpine-aports] [PATCH 3/6] testing/py-httpretty: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Mon, 14 Mar 2016 15:56:23 +0200

HTTP client mocking tool for Python
https://github.com/gabrielfalcao/HTTPretty
---
 testing/py-httpretty/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/py-httpretty/APKBUILD
diff --git a/testing/py-httpretty/APKBUILD b/testing/py-httpretty/APKBUILD
new file mode 100644
index 0000000..4657a16
--- /dev/null
+++ b/testing/py-httpretty/APKBUILD
_at_@ -0,0 +1,42 @@
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=py-httpretty
+_pkgname=HTTPretty
+pkgver=0.8.14
+pkgrel=0
+pkgdesc="HTTP client mocking tool for Python"
+url="https://github.com/gabrielfalcao/HTTPretty"
+arch="noarch"
+license="custom"
+depends="python"
+depends_dev=
+makedepends="python-dev py-setuptools"
+install=
+subpackages="$pkgname-doc"
+source="$_pkgname-$pkgver.tar.gz::https://github.com/gabrielfalcao/$_pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+	install -D -m0644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="575451618591fbb0c39bfb54e40c98bb  HTTPretty-0.8.14.tar.gz"
+sha256sums="22bb7c76c11d2d92bc864e4feae73b8bd78cfefc89bddaaf3608d7fec65a9034  HTTPretty-0.8.14.tar.gz"
+sha512sums="cb1559ffb247b11bfbea44ab93de9880df7fe1879772ccfb692ae50985c25a7547165970d4874e6d3d2b43e11092e9c6ec8fa650f4042c7019b628bbfb1fc645  HTTPretty-0.8.14.tar.gz"
-- 
2.7.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 14 2016 - 15:56:23 GMT